Metadata-Version: 2.4
Name: adroit-py
Version: 0.1.1
Summary: Lightweight Python wrapper for Adroit OLE server runtime
Author: Diego Acuña
Author-email: Diego Acuña <diegoa@adroit.co.za>
License: MIT
Project-URL: Homepage, https://github.com/yourrepo
Requires-Python: >=3.10
Description-Content-Type: text/markdown
License-File: LICENSE
Requires-Dist: pywin32>=305; sys_platform == "win32"
Dynamic: license-file

# adroit-py

Python wrapper package for the Adroit OLE server. Provides a friendly `AdroitOLE` class
and a module-level `adroit` object for interactive use.

## Requirements

- Python 3.x on Windows (requires `pywin32>=305`)

Installation (editable/development):

```bash
python -m pip install -e .
```

Usage:

```python
from adroit import AdroitOLE

# connect when needed
adroit: AdroitOLE = AdroitOLE()
print(adroit.FetchTags(["A1.value", "A2.value"]))
```
